# Class: menu

## LocusZoom_Widgets~menu()

Renders button with arbitrary text that, when clicked, shows a dropdown containing arbitrary HTML. This is usually used as part of coding a custom button, rather than as a standalone widget. NOTE: Trusts content exactly as given. XSS prevention is the responsibility of the implementer.

## Constructor

#### new menu()

##### Parameters:

Name | Type | Description
--- | --- | ---
`layout.button_html` | string | The HTML to render inside the button
`layout.button_title` | string | Text to display as a tooltip when hovering over the button
`layout.menu_html` | string | The HTML content of the dropdown menu

Source:
  - components/toolbar/widgets.js, line 1286